from openerp import models, fields, tools, api

class casbox_input(models.Model):
    _inherit = 'cash.box.in'

    date = fields.Date()
    message_deleted = fields.Text('Message Deleted')
    active = fields.Boolean('Active', default=True)
    line_id = fields.Many2one('account.bank.statement.line', 'Bank statement line')
    statement_id = fields.Many2one('account.bank.statement', 'Bank statement')


class casbox_output(models.Model):
    _inherit = 'cash.box.out'

    date = fields.Date()
    ref =fields.Char('ref')
    message_deleted = fields.Text('Message Deleted')
    active = fields.Boolean('Active', default=True)
    line_id = fields.Many2one('account.bank.statement.line', 'Bank statement line')
    statement_id = fields.Many2one('account.bank.statement', 'Bank statement')
